[ghc] better missing graphviz message

Jens Petersen petersen at fedoraproject.org
Thu Sep 30 07:57:23 UTC 2010


commit ebe2874e17faba8988b9715d3ada8d4f943908d3
Author: Jens Petersen <petersen at redhat.com>
Date:   Thu Sep 30 17:57:22 2010 +1000

    better missing graphviz message

 pkg-deps.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)
---
diff --git a/pkg-deps.sh b/pkg-deps.sh
index 4f2261a..d3b1d1e 100755
--- a/pkg-deps.sh
+++ b/pkg-deps.sh
@@ -42,7 +42,7 @@ cp -p pkgs.dot pkgs.dot.orig
 GHC_PKGS="array base-4 base-3 bin-package-db bytestring Cabal containers directory dph extensible-exceptions filepath ffi ghc-binary ghc-prim haskell98 hpc integer-gmp old-locale old-time pretty process random rts syb template-haskell time unix Win32"
 for i in $GHC_PKGS; do sed -i -e /$i/d pkgs.dot; done
 
-which tred &>/dev/null || { echo Please install graphviz ; exit 1 ; }
+which tred &>/dev/null || { echo "graphviz is needed to generate graph" ; exit 1 ; }
 cat pkgs.dot | tred | dot -Nfontsize=8 -Tsvg >pkgs.svg
 
 if [ -n "$DISPLAY" ]; then


More information about the scm-commits mailing list